package com.ho.flow.mapper;

import com.ho.flow.entity.ProcessTemplate;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author yule
 * @Date 2023/8/18 9:24
 * @desc ${}
 */
@Mapper
public interface ProcessManagementMapper {

    int insert(ProcessTemplate processTemplate);

    List<ProcessTemplate> selectList(ProcessTemplate processTemplate);

    ProcessTemplate selectById(Integer id);

    void update(ProcessTemplate processTemplate);

    void delete(Integer id);

    String selectBpmnById(Integer id);
}
